org.apache.datasketches.pig.hll

## Class AlgebraicInitial

- java.lang.Object
- - org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>
  - - org.apache.datasketches.pig.hll.AlgebraicInitial

    public class AlgebraicInitial
    extends org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>

Class used to calculate the initial pass of an Algebraic sketch operation.

The Initial class simply passes through all records unchanged so that they can be processed by the intermediate processor instead.

Author:
  Alexander Saydakov

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.pig.EvalFunc

`org.apache.pig.EvalFunc.SchemaType`

### Field Summary

### Fields inherited from class org.apache.pig.EvalFunc

`log, pigLogger, reporter, returnType`

### Constructor Summary

Constructors
Constructor and Description
`AlgebraicInitial()` Default constructor for the initial pass of an Algebraic function.
`AlgebraicInitial(String lgK)` Constructor for the initial pass of an Algebraic function.
`AlgebraicInitial(String lgK, String tgtHllType)` Constructor for the initial pass of an Algebraic function.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.pig.data.Tuple` `exec(org.apache.pig.data.Tuple inputTuple)`

### Methods inherited from class org.apache.pig.EvalFunc

`allowCompileTimeCalculation, finish, getArgToFuncMapping, getCacheFiles, getInputSchema, getLoadCaster, getLogger, getPigLogger, getReporter, getReturnType, getSchemaName, getSchemaType, getShipFiles, isAsynchronous, needEndOfAllInputProcessing, outputSchema, progress, setEndOfAllInput, setInputSchema, setPigLogger, setReporter, setUDFContextSignature, warn`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AlgebraicInitial

    public AlgebraicInitial()

Default constructor for the initial pass of an Algebraic function.

#### AlgebraicInitial

    public AlgebraicInitial(String lgK)

Constructor for the initial pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the original UDF. In this case the arguments are ignored.

Parameters:
  `lgK` - in a form of a String

#### AlgebraicInitial

    public AlgebraicInitial(String lgK,
                            String tgtHllType)

Constructor for the initial pass of an Algebraic function. Pig will call this and pass the same constructor arguments as the original UDF. In this case the arguments are ignored.

Parameters:
  `lgK` - in a form of a String
  `tgtHllType` - in a form of a String

### Method Detail

#### exec

    public org.apache.pig.data.Tuple exec(org.apache.pig.data.Tuple inputTuple)
                                   throws IOException

Specified by:
  `exec` in class `org.apache.pig.EvalFunc<org.apache.pig.data.Tuple>`
Throws:
  `IOException`